## jxrlib 1.1

=== Makefile ===
##//*@@@+++@@@@******************************************************************
##//
##// Copyright  Microsoft Corp.
##// All rights reserved.
##// 
##// Redistribution and use in source and binary forms, with or without
##// modification, are permitted provided that the following conditions are met:
##// 
##//  Redistributions of source code must retain the above copyright notice,
##//   this list of conditions and the following disclaimer.
##//  Redistributions in binary form must reproduce the above copyright notice,
##//   this list of conditions and the following disclaimer in the documentation
##//   and/or other materials provided with the distribution.
##// 
##// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
##// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
##// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
##// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
##// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
##// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
##// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
##// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
##// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
##// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
##// POSSIBILITY OF SUCH DAMAGE.
##//
##//*@@@---@@@@******************************************************************
## Makefile for building JPEG XR Porting Kit
##
build: all

CC=cc

DIR_SYS=image/sys
DIR_DEC=image/decode
DIR_ENC=image/encode

DIR_GLUE=jxrgluelib
DIR_TEST=jxrtestlib
DIR_EXEC=jxrencoderdecoder

CFLAGS=-I. -Icommon/include -I$(DIR_SYS) -D__ANSI__ -DDISABLE_PERF_MEASUREMENT -w -O
##
## Add following flag to CFLAGS above if target is a big endian machine
## -D_BIG__ENDIAN_
##
##--------------------------------
##
## Common files
##

OBJ_SYS=adapthuff.o image.o strcodec.o strPredQuant.o strTransform.o perfTimerANSI.o

$(OBJ_SYS):
	$(CC) $(CFLAGS) -c $(DIR_SYS)/$*.c


##--------------------------------
##
## Decode files
##

OBJ_DEC=decode.o postprocess.o segdec.o strdec.o strInvTransform.o strPredQuantDec.o JXRTranscode.o

$(OBJ_DEC):
	$(CC) $(CFLAGS) -c $(DIR_DEC)/$*.c


##--------------------------------
##
## Encode files
##

OBJ_ENC=encode.o segenc.o strenc.o strFwdTransform.o strPredQuantEnc.o

$(OBJ_ENC):
	$(CC) $(CFLAGS) -c $(DIR_ENC)/$*.c

##--------------------------------
##
## JPEG XR library
##

libjpegxr.a: $(OBJ_ENC) $(OBJ_DEC) $(OBJ_SYS)
	ar rvu $@ $(OBJ_ENC) $(OBJ_DEC) $(OBJ_SYS)
	ranlib $@

##--------------------------------
##
## Glue files
##

OBJ_GLUE=JXRGlue.o JXRMeta.o JXRGluePFC.o JXRGlueJxr.o

$(OBJ_GLUE):
	$(CC) $(CFLAGS) -I$(DIR_GLUE) -c $(DIR_GLUE)/$*.c

##--------------------------------
##
## Test files
##

OBJ_TEST=JXRTest.o JXRTestBmp.o JXRTestHdr.o JXRTestPnm.o JXRTestTif.o JXRTestYUV.o

$(OBJ_TEST):
	$(CC) $(CFLAGS) -I$(DIR_GLUE) -I$(DIR_TEST) -c $(DIR_TEST)/$*.c

##--------------------------------
##
## JPEG XR Glue library
##
libjxrglue.a: $(OBJ_GLUE) $(OBJ_TEST)
	ar rvu $@ $(OBJ_GLUE) $(OBJ_TEST)
	ranlib $@

##--------------------------------
##
## Enc app files
##

LIBRARIES=libjxrglue.a libjpegxr.a
LIBS=-L. $(LIBRARIES) -lm
ENCAPP=JxrEncApp

$(ENCAPP): $(LIBRARIES) 
	$(CC) $(DIR_EXEC)/$(ENCAPP).c -o $(ENCAPP) $(CFLAGS) -I$(DIR_GLUE) -I$(DIR_TEST) $(LIBS)

##--------------------------------
##
## Dec app files
##

DECAPP=JxrDecApp

$(DECAPP): $(LIBRARIES) 
	$(CC) $(DIR_EXEC)/$(DECAPP).c -o $(DECAPP) $(CFLAGS) -I$(DIR_GLUE) -I$(DIR_TEST) $(LIBS)

##--------------------------------
##
## JPEG XR library
##
all: $(ENCAPP) $(DECAPP)

clean:
	rm -rf *App *.o libj*.a 

##

=== debian/changelog ===
jxrlib (1.1-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:23 +0000

jxrlib (1.1-6) unstable; urgency=medium

  * Update d/control to reference cli tools names.
  * Make package multi-arch
  * Add debug symbols
  * Bump Std-Vers to 3.9.6, no changes needed
  * Add d/watch
  * Use arch-endian=little for symbols file. Closes: #787823

 -- Mathieu Malaterre <malat@debian.org>  Fri, 06 Nov 2015 21:57:27 +0100

jxrlib (1.1-5) unstable; urgency=low

  * Fix function signature. Closes: #748590

 -- Mathieu Malaterre <malat@debian.org>  Thu, 22 May 2014 11:36:05 +0200

jxrlib (1.1-4) unstable; urgency=low

  * Install missing header. Closes: #742716
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 26 Mar 2014 17:09:39 +0100

jxrlib (1.1-3) unstable; urgency=low

  * Fix d/symbols file for big endian arch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 18 Jul 2013 13:08:00 +0200

jxrlib (1.1-2) unstable; urgency=low

  * Fix symbols file with new 1.1 symbols
  * Rebuild avoiding RelWithDebInfo/-DNDEBUG pollution

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2013 11:45:53 +0200

jxrlib (1.1-1) unstable; urgency=low

  * New upstream: 1.1
  * Remove Depends: libbsd-dev, since upstream commit 0a033a9efad9
  * Add documentation files (converted from .doc file)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 06 Jun 2013 15:49:11 +0200

jxrlib (1.0-3) unstable; urgency=low

  * Fix installation of headers (missing JXRTest.h)
  * Fix encoder param settings
    + d/p/fixparams.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 02 May 2013 13:29:20 +0200

jxrlib (1.0-2) unstable; urgency=low

  * Fix man page typos
  * Remove broken d/watch file

 -- Mathieu Malaterre <malat@debian.org>  Thu, 25 Apr 2013 11:17:36 +0200

jxrlib (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #705459)

 -- Mathieu Malaterre <malat@debian.org>  Wed, 17 Apr 2013 16:08:34 +0200

=== debian/control ===
Source: jxrlib
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: cmake (>= 2.8.0), debhelper (>= 9), dpkg-dev (>= 1.18)
Homepage: https://jxrlib.codeplex.com/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/jxrlib/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/jxrlib/trunk
Standards-Version: 3.9.6

Package: libjxr0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: JPEG-XR lib - libraries
 JPEG XR is an approved ISO/IEC International standard (its official
 designation is ISO/IEC 29199-2).
 .
 JPEG XR started its life in Microsoft Research. It publicly first appeared as
 the HD Photo format in Windows Vista.
 .
 For web developers, JPEG XR has a large number of interesting features, see
 the table below. Some of these are big advantages over other image formats
 like JPEG, PNG, OpenEXR, and TIFF.
  - Better Compression (40% smaller than JPEG)
  - Lossless Mode (better compression than PNG)
  - Alpha Channel (compress color lossy and alpha losslessly)
  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
  - Progressive Decode
  - Advanced Decoding Features (tile-based layout, for efficient
    region-of-interest access.)

Package: libjxr-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libjxr0 (= ${binary:Version}), ${misc:Depends}
Description: JPEG-XR lib - dev files
 JPEG XR is an approved ISO/IEC International standard (its official
 designation is ISO/IEC 29199-2).
 .
 JPEG XR started its life in Microsoft Research. It publicly first appeared as
 the HD Photo format in Windows Vista.
 .
 For web developers, JPEG XR has a large number of interesting features, see
 the table below. Some of these are big advantages over other image formats
 like JPEG, PNG, OpenEXR, and TIFF.
  - Better Compression (40% smaller than JPEG)
  - Lossless Mode (better compression than PNG)
  - Alpha Channel (compress color lossy and alpha losslessly)
  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
  - Progressive Decode
  - Advanced Decoding Features (tile-based layout, for efficient
    region-of-interest access.)
 .
 Provide the development files

Package: libjxr-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: libjxr0 (= ${binary:Version}), ${misc:Depends}
Description: JPEG-XR lib - debug files
 JPEG XR is an approved ISO/IEC International standard (its official
 designation is ISO/IEC 29199-2).
 .
 JPEG XR started its life in Microsoft Research. It publicly first appeared as
 the HD Photo format in Windows Vista.
 .
 For web developers, JPEG XR has a large number of interesting features, see
 the table below. Some of these are big advantages over other image formats
 like JPEG, PNG, OpenEXR, and TIFF.
  - Better Compression (40% smaller than JPEG)
  - Lossless Mode (better compression than PNG)
  - Alpha Channel (compress color lossy and alpha losslessly)
  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
  - Progressive Decode
  - Advanced Decoding Features (tile-based layout, for efficient
    region-of-interest access.)
 .
 Provide the debug files

Package: libjxr-tools
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JPEG-XR lib - command line apps
 JPEG XR is an approved ISO/IEC International standard (its official
 designation is ISO/IEC 29199-2).
 .
 JPEG XR started its life in Microsoft Research. It publicly first appeared as
 the HD Photo format in Windows Vista.
 .
 For web developers, JPEG XR has a large number of interesting features, see
 the table below. Some of these are big advantages over other image formats
 like JPEG, PNG, OpenEXR, and TIFF.
  - Better Compression (40% smaller than JPEG)
  - Lossless Mode (better compression than PNG)
  - Alpha Channel (compress color lossy and alpha losslessly)
  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
  - Progressive Decode
  - Advanced Decoding Features (tile-based layout, for efficient
    region-of-interest access.)
 .
 Provides command line tools for JPEG XR libs (JxrDecApp & JxrEncApp)

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,filenamemangle=s/\S*download=//g \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=codeplex/jxrlib \
.*=jxrlib(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## jxrlib 1.1.1

=== debian/changelog ===
jxrlib (1.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 6d189955c50a352febbcd8122acede430c16d647']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:19:29 +0000

## jxrlib 1.2~git20170615.f752187

=== Makefile ===
##//*@@@+++@@@@******************************************************************
##//
##// Copyright � Microsoft Corp.
##// All rights reserved.
##// 
##// Redistribution and use in source and binary forms, with or without
##// modification, are permitted provided that the following conditions are met:
##// 
##// � Redistributions of source code must retain the above copyright notice,
##//   this list of conditions and the following disclaimer.
##// � Redistributions in binary form must reproduce the above copyright notice,
##//   this list of conditions and the following disclaimer in the documentation
##//   and/or other materials provided with the distribution.
##// 
##// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
##// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
##// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
##// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
##// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
##// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
##// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
##// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
##// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
##// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
##// POSSIBILITY OF SUCH DAMAGE.
##//
##//*@@@---@@@@******************************************************************
## Makefile for building JPEG XR Porting Kit
##
build: all

CC=cc

JXR_VERSION=1.1

DIR_SRC=$(CURDIR)
DIR_SYS=image/sys
DIR_DEC=image/decode
DIR_ENC=image/encode

DIR_GLUE=jxrgluelib
DIR_TEST=jxrtestlib
DIR_EXEC=jxrencoderdecoder

## Are we building shared?
ifneq ($(SHARED),)
PICFLAG=-fPIC
else
PICFLAG=
endif

ifneq ($(BIG_ENDIAN),)
ENDIANFLAG=-D_BIG__ENDIAN_
else
ENDIANFLAG=
endif

ifndef DIR_BUILD
DIR_BUILD=$(CURDIR)/build
endif

ifndef DIR_INSTALL
DIR_INSTALL=/usr/lib/jxrlib-$(JXR_VERSION)
endif

CD=cd
MK_DIR=mkdir -p
CFLAGS=-I. -Icommon/include -I$(DIR_SYS) $(ENDIANFLAG) -D__ANSI__ -DDISABLE_PERF_MEASUREMENT -w $(PICFLAG) -O

STATIC_LIBRARIES=$(DIR_BUILD)/libjxrglue.a $(DIR_BUILD)/libjpegxr.a
SHARED_LIBRARIES=$(DIR_BUILD)/libjxrglue.so $(DIR_BUILD)/libjpegxr.so

ifneq ($(SHARED),)
LIBRARIES=$(SHARED_LIBRARIES)
else
LIBRARIES=$(STATIC_LIBRARIES)
endif

LIBS=-L$(DIR_BUILD) $(shell echo $(LIBRARIES) | sed -e 's%$(DIR_BUILD)/lib\([^ ]*\)\.\(a\|so\)%-l\1%g') -lm

##--------------------------------
##
## Common files
##

SRC_SYS=adapthuff.c image.c strcodec.c strPredQuant.c strTransform.c perfTimerANSI.c
OBJ_SYS=$(patsubst %.c, $(DIR_BUILD)/$(DIR_SYS)/%.o, $(SRC_SYS))
 
$(DIR_BUILD)/$(DIR_SYS)/%.o: $(DIR_SRC)/$(DIR_SYS)/%.c
	$(MK_DIR) $(@D)
	$(CC) $(CFLAGS) -c $< -o $@

##--------------------------------
##
## Decode files
##

SRC_DEC=decode.c postprocess.c segdec.c strdec.c strInvTransform.c strPredQuantDec.c JXRTranscode.c
OBJ_DEC=$(patsubst %.c, $(DIR_BUILD)/$(DIR_DEC)/%.o, $(SRC_DEC))
$(DIR_BUILD)/$(DIR_DEC)/%.o: $(DIR_SRC)/$(DIR_DEC)/%.c
	$(MK_DIR) $(@D)
	$(CC) $(CFLAGS) -c $< -o $@

##--------------------------------
##
## Encode files
##

SRC_ENC=encode.c segenc.c strenc.c strFwdTransform.c strPredQuantEnc.c
OBJ_ENC=$(patsubst %.c, $(DIR_BUILD)/$(DIR_ENC)/%.o, $(SRC_ENC))

$(DIR_BUILD)/$(DIR_ENC)/%.o: $(DIR_SRC)/$(DIR_ENC)/%.c
	$(MK_DIR) $(@D)
	$(CC) $(CFLAGS) -c $< -o $@

##--------------------------------
##
## JPEG XR library
##

$(DIR_BUILD)/libjpegxr.a: $(OBJ_ENC) $(OBJ_DEC) $(OBJ_SYS)
	$(MK_DIR) $(@D)
	ar rvu $@ $(OBJ_ENC) $(OBJ_DEC) $(OBJ_SYS)
	ranlib $@

$(DIR_BUILD)/libjpegxr.so: $(OBJ_ENC) $(OBJ_DEC) $(OBJ_SYS)
	$(MK_DIR) $(@D)
	$(CC) -shared $? -o $@

##--------------------------------
##
## Glue files
##

SRC_GLUE=JXRGlue.c JXRMeta.c JXRGluePFC.c JXRGlueJxr.c
OBJ_GLUE=$(patsubst %.c, $(DIR_BUILD)/$(DIR_GLUE)/%.o, $(SRC_GLUE))

$(DIR_BUILD)/$(DIR_GLUE)/%.o: $(DIR_SRC)/$(DIR_GLUE)/%.c
	$(MK_DIR) $(@D)
	$(CC) $(CFLAGS) -I$(DIR_GLUE) -c $< -o $@

##--------------------------------
##
## Test files
##

SRC_TEST=JXRTest.c JXRTestBmp.c JXRTestHdr.c JXRTestPnm.c JXRTestTif.c JXRTestYUV.c
OBJ_TEST=$(patsubst %.c, $(DIR_BUILD)/$(DIR_TEST)/%.o, $(SRC_TEST))

$(DIR_BUILD)/$(DIR_TEST)/%.o: $(DIR_SRC)/$(DIR_TEST)/%.c
	$(MK_DIR) $(@D)
	$(CC) $(CFLAGS) -I$(DIR_GLUE) -I$(DIR_TEST) -c $< -o $@

##--------------------------------
##
## JPEG XR Glue library
##

$(DIR_BUILD)/libjxrglue.a: $(OBJ_GLUE) $(OBJ_TEST)
	$(MK_DIR) $(@D)
	ar rvu $@ $(OBJ_GLUE) $(OBJ_TEST)
	ranlib $@

$(DIR_BUILD)/libjxrglue.so: $(OBJ_GLUE) $(OBJ_TEST)
	$(MK_DIR) $(@D)
	$(CC) -shared $? -o $@

##--------------------------------
##
## Enc app files
##
ENCAPP=JxrEncApp

$(DIR_BUILD)/$(ENCAPP): $(DIR_SRC)/$(DIR_EXEC)/$(ENCAPP).c $(LIBRARIES)
	$(MK_DIR) $(@D)
	$(CC) $< -o $@ $(CFLAGS) -I$(DIR_GLUE) -I$(DIR_TEST) $(LIBS)

##--------------------------------
##
## Dec app files
##

DECAPP=JxrDecApp

$(DIR_BUILD)/$(DECAPP): $(DIR_SRC)/$(DIR_EXEC)/$(DECAPP).c $(LIBRARIES)
	$(MK_DIR) $(@D)
	$(CC) $< -o $@ $(CFLAGS) -I$(DIR_GLUE) -I$(DIR_TEST) $(LIBS)

##--------------------------------
##
## JPEG XR library
##
all: $(DIR_BUILD)/$(ENCAPP) $(DIR_BUILD)/$(DECAPP) $(LIBRARIES)

clean:
	rm -rf $(DIR_BUILD)/*App $(DIR_BUILD)/*.o $(DIR_BUILD)/libj*.a $(DIR_BUILD)/libj*.so $(DIR_BUILD)/libjxr.pc

$(DIR_BUILD)/libjxr.pc: $(DIR_SRC)/libjxr.pc.in
	@python -c 'import os; d = { "DIR_INSTALL": "$(DIR_INSTALL)", "JXR_VERSION": "$(JXR_VERSION)", "JXR_ENDIAN": "$(ENDIANFLAG)" }; fin = open("$<", "r"); fout = open("$@", "w+"); fout.writelines( [ l % d for l in fin.readlines()])'

install: all $(DIR_BUILD)/libjxr.pc
	install -d $(DIR_INSTALL)/lib/pkgconfig $(DIR_INSTALL)/bin $(DIR_INSTALL)/include/libjxr/common  $(DIR_INSTALL)/include/libjxr/image/x86 $(DIR_INSTALL)/include/libjxr/glue $(DIR_INSTALL)/include/libjxr/test $(DIR_INSTALL)/share/doc/jxr-$(JXR_VERSION)
	install $(LIBRARIES) $(DIR_INSTALL)/lib
	install -m 644 $(DIR_BUILD)/libjxr.pc $(DIR_INSTALL)/lib/pkgconfig
	install $(DIR_BUILD)/$(ENCAPP) $(DIR_BUILD)/$(DECAPP) $(DIR_INSTALL)/bin
	install -m 644 $(DIR_SRC)/common/include/*.h $(DIR_INSTALL)/include/libjxr/common
	install -m 644 $(DIR_SRC)/image/x86/*.h $(DIR_INSTALL)/include/libjxr/image/x86
	install -m 644 $(DIR_SRC)/$(DIR_SYS)/*.h $(DIR_INSTALL)/include/libjxr/image
	install -m 644 $(DIR_SRC)/$(DIR_ENC)/*.h $(DIR_INSTALL)/include/libjxr/image
	install -m 644 $(DIR_SRC)/$(DIR_DEC)/*.h $(DIR_INSTALL)/include/libjxr/image
	install -m 644 $(DIR_SRC)/$(DIR_GLUE)/*.h $(DIR_INSTALL)/include/libjxr/glue
	install -m 644 $(DIR_SRC)/$(DIR_TEST)/*.h $(DIR_INSTALL)/include/libjxr/test
	install -m 644 doc/* $(DIR_INSTALL)/share/doc/jxr-$(JXR_VERSION)

##

=== debian/changelog ===
jxrlib (1.2~git20170615.f752187-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to fix building with GCC-14s, thanks to YOKOTA Hiroshi for
    preparing it. (Closes: #1075105)

 -- Tobias Frost <tobi@debian.org>  Sat, 17 Aug 2024 09:05:27 +0200

jxrlib (1.2~git20170615.f752187-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols file.

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Mar 2024 04:12:37 +0000

jxrlib (1.2~git20170615.f752187-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064158

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 14:23:08 +0000

jxrlib (1.2~git20170615.f752187-5) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/copyright: Fix invalid utf-8 character
  * d/patches: Make sure to fix lintian hardening-no-bindnow

  [ Milian Wolff ]
  * d/patches: Use mkstemp instead of tmpnam. Closes: #1001782
  * d/patches: Fix memory leaks when handling OOM scenario
  * d/patches: fix undefined behavior for left-shift of -1
  * d/patches: fix warnings about unaligned loads from UBSAN

  [ Mathieu Malaterre ]
  * d/patches: Forward some patches upstream.
  * d/rules: Add more warnings during compilation

 -- Mathieu Malaterre <malat@debian.org>  Fri, 28 Jan 2022 13:55:06 +0100

jxrlib (1.2~git20170615.f752187-4) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/control: Switch to group maintenance
  * d/control: Update cmake version to 3.13 to remove a warning
  * d/compat: Bump compat to 12

  [ Yann Leprince ]
  * d/patches: Fix libjxr.pc include path. Closes: #1002449

  [ Mathieu Malaterre ]
  * d/control: Add missing Rules-Requires-Root: no
  * d/copyright: Update years, also prefer https
  * d/binaries: Declare doc file to be binary
  * d/rules: Stop using dpkg-parsechangelog
  * d/lintian-overrides: Remove bogus entry
  * d/symbols: Add missing Build-Depends-Package line
  * d/rules: Start building txt from doc automatically

 -- Mathieu Malaterre <malat@debian.org>  Fri, 28 Jan 2022 11:23:18 +0100

jxrlib (1.2~git20170615.f752187-3) unstable; urgency=medium

  * d/rules: Properly generate man pages

 -- Mathieu Malaterre <malat@debian.org>  Sat, 27 Nov 2021 16:54:36 +0100

jxrlib (1.2~git20170615.f752187-2) unstable; urgency=medium

  * d/patches: Bump version to 1.2
  * d/control: Bump Std-Vers to 4.6.0 no changes required.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Nov 2021 17:21:16 +0100

jxrlib (1.2~git20170615.f752187-1) unstable; urgency=medium

  * d/rules: Remove old get-orig-source logic
  * New upstream version 1.2~git20170615.f752187
  * d/patches: Refresh patches
  * d/symbols: Update symbols file to latest release
  * d/patches: Fix some national-encoding lintian warnings
  * d/rules: Generate man pages during build
  * d/patches: Document PNM output. Closes: #771912
  * d/rules: libjxr-dev: Missing pkgconfig file. Closes: #803743

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Nov 2021 16:53:43 +0100

jxrlib (1.1-8) unstable; urgency=medium

  * d/rules: Really remove old -dbg package
  * d/manpages: Refresh man pages

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Nov 2021 15:22:12 +0100

jxrlib (1.1-7) unstable; urgency=medium

  * debian/control: update URLs to new salsa location
  * d/compat: Switch to compat 10
  * d/control: Remove -dbg package
  * d/rules: Remove explicit --parallel flag
  * d/control: Remove URL referencing codeplex
  * d/copyright: Fix two lintian warnings

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Nov 2021 14:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,23 @@
 Source: jxrlib
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: cmake (>= 2.8.0), debhelper (>= 9), dpkg-dev (>= 1.18)
-Homepage: https://jxrlib.codeplex.com/
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/jxrlib/trunk/
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/jxrlib/trunk
-Standards-Version: 3.9.6
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Mathieu Malaterre <malat@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), antiword,
+               cmake (>= 3.13),
+               debhelper-compat (= 13),
+               dpkg-dev (>= 1.18),
+               help2man
+Homepage: https://github.com/4creators/jxrlib
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/jxrlib
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/jxrlib.git
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 
-Package: libjxr0
+Package: libjxr0t64
+Provides: ${t64:Provides}
+Replaces: libjxr0
+Breaks: libjxr0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -37,7 +45,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libjxr0 (= ${binary:Version}), ${misc:Depends}
+Depends: libjxr0t64 (= ${binary:Version}), ${misc:Depends}
 Description: JPEG-XR lib - dev files
  JPEG XR is an approved ISO/IEC International standard (its official
  designation is ISO/IEC 29199-2).
@@ -57,32 +65,6 @@
     region-of-interest access.)
  .
  Provide the development files
-
-Package: libjxr-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Multi-Arch: same
-Depends: libjxr0 (= ${binary:Version}), ${misc:Depends}
-Description: JPEG-XR lib - debug files
- JPEG XR is an approved ISO/IEC International standard (its official
- designation is ISO/IEC 29199-2).
- .
- JPEG XR started its life in Microsoft Research. It publicly first appeared as
- the HD Photo format in Windows Vista.
- .
- For web developers, JPEG XR has a large number of interesting features, see
- the table below. Some of these are big advantages over other image formats
- like JPEG, PNG, OpenEXR, and TIFF.
-  - Better Compression (40% smaller than JPEG)
-  - Lossless Mode (better compression than PNG)
-  - Alpha Channel (compress color lossy and alpha losslessly)
-  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
-  - Progressive Decode
-  - Advanced Decoding Features (tile-based layout, for efficient
-    region-of-interest access.)
- .
- Provide the debug files
 
 Package: libjxr-tools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

VER_FULL = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=cmake

CMAKE_EXTRA_FLAGS += \
	-DJXRLIB_INSTALL_LIB_DIR="lib/$(DEB_HOST_MULTIARCH)"

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

pkg_bin=libjxr-tools
pkg_lib=libjxr0t64
pkg_dev=libjxr-dev

override_dh_install:
	# bin
	dh_install -p$(pkg_bin) usr/bin
	# lib
	dh_install -p$(pkg_lib) usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*
	# dev
	dh_install -p$(pkg_dev) usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*.pc
	dh_install -p$(pkg_dev) usr/lib/$(DEB_HOST_MULTIARCH)/*.so
	dh_install -p$(pkg_dev) usr/include

override_dh_clean:
	dh_clean debian/JxrDecApp.1
	dh_clean debian/JxrEncApp.1
	dh_clean debian/JPEGXR_DPK_Spec_1.0.txt

debian/JxrDecApp.1: debian/JxrDecApp.1.in
	LD_PRELOAD= LD_LIBRARY_PATH=./debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) help2man --version-string=$(VER_FULL) --include=$< --output=$@ --no-info ./debian/tmp/usr/bin/JxrDecApp

debian/JxrEncApp.1: debian/JxrEncApp.1.in
	LD_PRELOAD= LD_LIBRARY_PATH=./debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) help2man --version-string=$(VER_FULL) --include=$< --output=$@ --no-info ./debian/tmp/usr/bin/JxrEncApp

debian/JPEGXR_DPK_Spec_1.0.txt: doc/JPEGXR_DPK_Spec_1.0.doc
	antiword $< > $@

override_dh_installman: debian/JxrEncApp.1 debian/JxrDecApp.1
	dh_installman -p$(pkg_bin) debian/JxrDecApp.1
	dh_installman -p$(pkg_bin) debian/JxrEncApp.1

override_dh_installdocs: debian/JPEGXR_DPK_Spec_1.0.txt
	dh_installdocs doc/readme.txt
	dh_installdocs debian/JPEGXR_DPK_Spec_1.0.txt
	dh_installdocs

get-orig-source:
	uscan --download --force-download --rename

=== debian/watch ===
# uscan(1) configuration file.
version=4
opts="mode=git,pgpmode=none,pretty=1.2~git%cd.%h" \
https://github.com/4creators/jxrlib \
HEAD debian uupdate
